=== debian/changelog ===
netproc (0.6.3-1) unstable; urgency=medium

  * New upstream release.
  * debian rules:
    - Add override_dh_auto_install.
  * debian/patches removed.
  * debian/control:
    - Changed Standards Version to 4.6.0.
    - Add Rules-Requires-Root: no.
  * debian/coptright:
    - add Upstream-Contact.
  * Add file debian/upstream/metadata.

 -- Mayco Souza Berghetti <mayco.s.berghetti@gmail.com>  Sun, 12 Dec 2021 21:19:44 +0000
