## netproc 0.6.6

=== Makefile ===
--- 
+++ 
@@ -29,20 +29,25 @@
 DOCDIR=./doc
 
 CC ?= gcc
-CFLAGS+= -Wall -Wextra -pedantic
+CFLAGS += -Wall -Wextra -pedantic -Wformat=2
 
 # environment var
 ifdef DEBUG
-	CFLAGS+= -O0 -ggdb -Wformat=2
+	CFLAGS += -O0 -ggdb -fsanitize=address
+	LDFLAGS += -fsanitize=address
+else ifdef DEV
+	CFLAGS += -O0 -ggdb
 else
-	CPPFLAGS+=-D NDEBUG
-	CFLAGS+= -O2
+	CPPFLAGS += -D NDEBUG
+	CFLAGS += -O2 -flto
+	LDFLAGS += -s -O2 -flto
 endif
 
-LDLIBS=$(shell ncurses6-config --libs 2> /dev/null)
+LDLIBS=$(shell ncursesw6-config --libs 2> /dev/null)
 
-ifeq ( $(LDLIBS), )
-	LDLIBS=$(shell  ncurses5-config --libs 2> /dev/null)  
+# if LDLIBS is empty
+ifeq ($(LDLIBS),)
+	LDLIBS=$(shell  ncursesw5-config --libs 2> /dev/null)
 endif
 
 LDLIBS += -lpthread
@@ -63,7 +68,7 @@
 OBJECTS=$(addprefix $(OBJDIR)/, $(notdir $(C_SOURCE:.c=.o) ) )
 
 # alvos fake, não são arquivos
-.PHONY: all clean distclean run install uninstall format man release
+.PHONY: all clean distclean run install uninstall format man tarball
 
 all: $(BINDIR)/$(PROG_NAME)
