=== debian/changelog ===
netproc (0.6.6-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 09 Nov 2024 08:23:03 +0000
