=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: netproc
 Section: net
+Rules-Requires-Root: no
 Priority: optional
 Maintainer: Mayco Souza Berghetti <mayco.s.berghetti@gmail.com>
 Build-Depends:
  debhelper-compat (= 13),
  libncurses-dev (>= 6.1),
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://github.com/berghetti/netproc
 
 Package: netproc
