=== debian/rules ===
--- 
+++ 
@@ -7,3 +7,6 @@
 
 %:
 	dh $@
+
+override_dh_auto_install:
+	dh_auto_install -- prefix=/usr
