=== debian/watch ===
version=4
opts="mode=git,pgpmode=gittag" \
https://github.com/berghetti/netproc.git refs/tags/[a-z\-]*([\d\.]+)
